WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

HTML5 Widgets

This plugin allows you to change the DIV/Container element of each widget to one of the new HTML5 Semantic tags.

Will this work on every theme?

Yes and no. This plugin will work modifying the containers, but themes like 'TwentyTen' use unordered lists ul to surround the widget areas and this will fail w3 validation since <ul> cannont contain elements other than <li>.

How do you fix the twentyten theme to work with this?

You can edit the sidebar.php file in the theme editor and remove <ul class="xoxo"> and </ul> for both the primary and secondary widget areas. Leave the <div>s and you should now validate.

Requires: 3.0.1 or higher
Compatible up to: 3.1.4
Last Updated: 2011-6-15
Downloads: 1,552

Ratings

4 stars
4 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

50,2,1
100,1,1